Last Comment Bug 751310 - ensure Yahoo identity provider works in runtime
: ensure Yahoo identity provider works in runtime
Status: VERIFIED FIXED
[blocking-webrtdesktop1+], [qa!]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Webapp Runtime (show other bugs)
: unspecified
: All All
: P1 normal
: Firefox 15
Assigned To: Myk Melez [:myk] [@mykmelez]
: Jason Smith [:jsmith]
:
Mentors:
Depends on: 752666
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 12:28 PDT by Jason Smith [:jsmith]
Modified: 2016-03-21 12:39 PDT (History)
3 users (show)
jsmith: in‑moztrap-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Jason Smith [:jsmith] 2012-05-02 12:28:51 PDT
Yahoo accounts need to be whitelisted in the desktop runtime, as apps can integrate with yahoo.com addresses. An example of this application is LucidChart (https://marketplace.mozilla.org/en-US/app/lucidchart/?src=ss), which upon logging in, allows the user to login with their yahoo.com address through integrating with yahoo's account management service. The fix to this would be to add the origins yahoo's account management service uses to our whitelist for origins.

Note: This does not block app functionality from the 30 or so apps I looked at for the signoff for marketplace beta, it just removes the ability in LucidChart to use yahoo.com accounts. Definitely important going forward though.
Comment 1 Jason Smith [:jsmith] 2012-05-02 12:31:41 PDT
Marking as marketplace-beta=, as this does not block primary app functionality, but it would really good to have to ensure that yahoo account management works.
Comment 2 Jason Smith [:jsmith] 2012-05-07 21:23:41 PDT
For k9o this is primary account integration use case for web apps, so nominating the bug k9o.
Comment 3 Myk Melez [:myk] [@mykmelez] 2012-05-28 22:51:51 PDT
Our strategy for fixing this is to fix bug 752666, so marking the dependency accordingly, and taking this bug (because I took that one).
Comment 4 Jason Smith [:jsmith] 2012-06-12 06:44:46 PDT
Moving to resolved fixed - dependency should fix this.

Note You need to log in before you can comment on or make changes to this bug.